USE OLAP
/* How much does the 'everglow butane' lattern cost? */
SELECT product,product_cost
FROM products
WHERE product = 'everglow butane'

/* We are coding a 'Refresh' button on our website to 
   update the list of products we sell. */
SELECT product
FROM products

/* Management wants a summary report showing how many
   of each product in the lanterns category was sold in 2017 */
SELECT product,product_type,sum(quantity_sold) as number_sold
FROM products JOIN sales_2017 ON products.code=sales_2017.product_code
WHERE product_type='Lanterns'
GROUP BY product,product_type